sasl_listmech(3)

NAME
sasl_listmech - Retrieve a list of the supported SASL mechanisms

SYNOPSIS
#include <sasl/sasl.h>

const char ** sasl_global_listmech()

DESCRIPTION
sasl_global_listmech() returns a null-terminated array of strings that lists all mechanisms that are loaded by either the client or server side of the library.

RETURN VALUE
Returns a pointer to the array on success. NULL on failure (sasl library uninitialized).

CONFORMING TO
RFC 4422

SEE ALSO
sasl(3), sasl_listmech(3), sasl_server_init(3), sasl_client_init(3)